%define major 1
%define libname %mklibname trousers %{major}
%define develname %mklibname -d %{name}

Name: trousers
Summary: TCG's Software Stack v1.2
Version: 0.3.15
Release: %mkrel 1
License: BSD
Group: System/Libraries
Url: http://trousers.sourceforge.net
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1: tcsd.init
Patch1:  trousers-0.3.14-noinline.patch
Patch2: trousers-0.3.14-unlock-in-err-path.patch
Patch3: trousers-0.3.14-fix-indent-obj_policy.patch
Patch4: trousers-0.3.14-fix-indent-tspi_key.patch
BuildRequires: pkgconfig(openssl)

%description
TrouSerS is an implementation of the Trusted Computing Group's Software Stack
(TSS) specification. You can use TrouSerS to write applications that make use
of your TPM hardware. TPM hardware can create, store and use RSA keys
securely (without ever being exposed in memory), verify a platform's software
state using cryptographic hashes and more.

%package -n %{libname}
Summary: TrouSerS Shared libraries
Group: System/Libraries

%description -n %{libname}
Shared libraries for TrouSerS.

%package -n %{develname}
Summary: TrouSerS header files and documentation
Group: Development/Libraries
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{develname}
Header files and man pages for use in creating Trusted Computing enabled
applications.

%prep
%setup -q
%apply_patches

%build
# to recognize aarch64
autoreconf -vfi

%configure2_5x --with-gui=openssl --disable-static
%make

%install
%makeinstall_std
rm -f %{buildroot}/%{_libdir}/libtspi.la
%{__install} -D -p -m 0755 %{SOURCE1} %{buildroot}%{_sysconfdir}/rc.d/init.d/tcsd

%pre
%_pre_useradd tss /dev/null /bin/false

%postun
%_postun_userdel tss

%preun
%_preun_service tcsd

%post
%_post_service tcsd
chkconfig tcsd off

%files
%doc README LICENSE ChangeLog
%{_sbindir}/tcsd
%config(noreplace) %attr(0600, tss, tss) %{_sysconfdir}/tcsd.conf
%{_mandir}/man5/*
%{_mandir}/man8/*
%attr(0700, tss, tss) %{_localstatedir}/lib/tpm/
%{_sysconfdir}/rc.d/init.d/tcsd

%files -n %{libname}
%{_libdir}/libtspi.so.%{major}
%{_libdir}/libtspi.so.%{major}.*

%files -n %{develname}
%doc doc/LTC-TSS_LLD_08_r2.pdf doc/TSS_programming_SNAFUs.txt
%{_libdir}/libtspi.so
%{_libdir}/libtddl.a
%{_includedir}/*
%{_mandir}/man3/Tspi_*


%changelog
* Wed Oct 13 2021 tex - 0.3.15-1pclos2021
- new version

* Tue May 28 2019 tex - 0.3.14-1pclos2019
- 0.3.14
